#
# spec file for package python-CacheControl
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-CacheControl
Version:        0.12.4
Release:        lp151.2.2
Summary:        httplib2 caching for requests
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/ionrock/cachecontrol
Source:         https://files.pythonhosted.org/packages/source/C/CacheControl/CacheControl-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module msgpack-python}
BuildRequires:  %{python_module requests}
# /SECTION
BuildRequires:  fdupes
Requires:       python-msgpack-python
Requires:       python-requests
Suggests:       python-lockfile >= 0.9
Suggests:       python-redis >= 2.10.5
BuildArch:      noarch

%python_subpackages

%description
CacheControl is a port of the caching algorithms in httplib2_ for use with
requests_ session object.

It was written because httplib2's better support for caching is often
mitigated by its lack of threadsafety. The same is true of requests in
terms of caching.

%prep
%setup -q -n CacheControl-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc LICENSE.txt README.rst
%python3_only %{_bindir}/doesitcache
%{python_sitelib}/*

%changelog
* Fri Mar 23 2018 tbechtold@suse.com
- Initial packaging (version 0.12.4)
